﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GenerateDocx.aspx.cs" Inherits="JavaScriptOpenXmlPoc.GenerateDocx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        #Text1
        {
            width: 616px;
        }
    </style>
    <script type="text/javascript">
        function loadXMLString(txt) {
            if (window.DOMParser) {
                parser = new DOMParser();
                xmlDoc = parser.parseFromString(txt, "text/xml");
            }
            else // Internet Explorer
            {
                xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
                xmlDoc.async = false;
                xmlDoc.loadXML(txt);
            }
            return xmlDoc;
        }
    </script>
</head>
<body>
    <form action="GenerateDocx.aspx" name="myform">
    <p>
        <span>Title of document:&nbsp;</span><input id="Title" type="text" /></p>
    <p>
        <input id="IncludeIntro" type="checkbox" />&nbsp;Include an Intro</p>
    <p>
        <input id="IncludeBio" type="checkbox" />&nbsp;Include a Bio</p>
    <p>
        <input id="IncludeLegal" type="checkbox" />&nbsp;Include Legal</p>
    <p id="jsdownload">
        You must have Flash 10 installed to download a file.
    </p>
    </form>
    <script type="text/javascript" src="js/swfobject.js"></script>
    <script type="text/javascript" src="js/jsupload.js"></script>
    <script type="text/javascript" src="js/jsdownload.js"></script>
    <script type="text/javascript" src="js/jszip.js"></script>
    <script type="text/javascript" src="js/jszip-load.js"></script>
    <script type="text/javascript" src="js/jszip-inflate.js"></script>
    <script type="text/javascript" src="js/jszip-deflate.js"></script>
    <script type="text/javascript" src="js/base64.js"></script>
    <script type="text/javascript">

        var WordprocessingDocument = function (fileName, base64data) {
            this.fileName = fileName;
            this.zip = new JSZip(base64data, { base64: true, checkCRC32: false });
            this.mainPartContentType = "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml";
            this.mc_ns = "http://schemas.openxmlformats.org/markup-compatibility/2006";
            this.ct_ns = "http://schemas.openxmlformats.org/package/2006/content-types";
            this.w_ns = "http://schemas.openxmlformats.org/wordprocessingml/2006/main";
        }

        WordprocessingDocument.prototype.mainDocumentPart = function () {
            var that = this;

            var ctfile = this.zip.file("[Content_Types].xml");
            var ctXDoc = loadXMLString(ctfile.data);
            var ore = ctXDoc.getElementsByTagName("Override");
            for (var i = 0; i < ore.length; i++) {
                if (ore[i].getAttribute("ContentType") === this.mainPartContentType) {
                    var mainPartFileName = ore[i].getAttribute("PartName").replace("/\//g", "\\/");
                    if (mainPartFileName.substring(0, 1) === "/")
                        mainPartFileName = mainPartFileName.substring(1);
                    var file = this.zip.file(mainPartFileName);
                    var mp = {
                        File: file,
                        ContentType: this.mainPartContentType
                    };
                    return mp;
                }
            }
            return null;
        }

        generateDocument = function () {
            var doc = new WordprocessingDocument("GeneratedProposal.docx", templateDoc);
            var main = doc.mainDocumentPart();

            var mpXDoc = loadXMLString(main.File.data);
            var w = doc.w_ns;

            var root = mpXDoc.getElementsByTagNameNS(w, "document")[0];
            root.removeAttributeNS(doc.mc_ns, "Ignorable");

            var paragraphs = mpXDoc.getElementsByTagNameNS(w, "p");
            while (paragraphs.length > 0) {
                var parent = paragraphs[0].parentNode;
                parent.removeChild(paragraphs[0]);
            }

            var p = mpXDoc.createElementNS(w, "p");
            var pPr = mpXDoc.createElementNS(w, "pPr");
            var pStyle = mpXDoc.createElementNS(w, "pStyle");
            var val = mpXDoc.createAttributeNS(w, "val");
            val.nodeValue = "Title";
            pStyle.setAttributeNode(val);
            pPr.appendChild(pStyle);
            p.appendChild(pPr);
            var nr = mpXDoc.createElementNS(w, "r");
            var nt = mpXDoc.createElementNS(w, "t");
            var tn = mpXDoc.createTextNode(document.myform.Title.value);
            nt.appendChild(tn);
            nr.appendChild(nt);
            p.appendChild(nr);
            var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
            sectPr.parentNode.insertBefore(p, sectPr);

            if (document.myform.IncludeIntro.checked) {
                var p = mpXDoc.createElementNS(w, "p");
                var pPr = mpXDoc.createElementNS(w, "pPr");
                var pStyle = mpXDoc.createElementNS(w, "pStyle");
                var val = mpXDoc.createAttributeNS(w, "val");
                val.nodeValue = "Heading1";
                pStyle.setAttributeNode(val);
                pPr.appendChild(pStyle);
                p.appendChild(pPr);
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("Introduction");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);

                var p = mpXDoc.createElementNS(w, "p");
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Maecenas porttitor congue massa. Fusce posuere, magna sed pulvinar ultricies, purus lectus malesuada libero, sit amet commodo magna eros quis urna.");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);

                var p = mpXDoc.createElementNS(w, "p");
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("Nunc viverra imperdiet enim. Fusce est. Vivamus a tellus.");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);
            }
            if (document.myform.IncludeBio.checked) {
                var p = mpXDoc.createElementNS(w, "p");
                var pPr = mpXDoc.createElementNS(w, "pPr");
                var pStyle = mpXDoc.createElementNS(w, "pStyle");
                var val = mpXDoc.createAttributeNS(w, "val");
                val.nodeValue = "Heading1";
                pStyle.setAttributeNode(val);
                pPr.appendChild(pStyle);
                p.appendChild(pPr);
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("Bio");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);

                var p = mpXDoc.createElementNS(w, "p");
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("On the Insert tab, the galleries include items that are designed to coordinate with the overall look of your document. You can use these galleries to insert tables, headers, footers, lists, cover pages, and other document building blocks. When you create pictures, charts, or diagrams, they also coordinate with your current document look.");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);
            }
            if (document.myform.IncludeLegal.checked) {
                var p = mpXDoc.createElementNS(w, "p");
                var pPr = mpXDoc.createElementNS(w, "pPr");
                var pStyle = mpXDoc.createElementNS(w, "pStyle");
                var val = mpXDoc.createAttributeNS(w, "val");
                val.nodeValue = "Heading1";
                pStyle.setAttributeNode(val);
                pPr.appendChild(pStyle);
                p.appendChild(pPr);
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("Legal");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);

                var p = mpXDoc.createElementNS(w, "p");
                var nr = mpXDoc.createElementNS(w, "r");
                var nt = mpXDoc.createElementNS(w, "t");
                var tn = mpXDoc.createTextNode("To change the overall look of your document, choose new Theme elements on the Page Layout tab. To change the looks available in the Quick Style gallery, use the Change Current Quick Style Set command. Both the Themes gallery and the Quick Styles gallery provide reset commands so that you can always restore the look of your document to the original contained in your current template.");
                nt.appendChild(tn);
                nr.appendChild(nt);
                p.appendChild(nr);
                var sectPr = mpXDoc.getElementsByTagNameNS(w, "sectPr")[0];
                sectPr.parentNode.insertBefore(p, sectPr);
            }

            var name = main.File.name;
            doc.zip.remove(main.File.name);
            var newXml = (new XMLSerializer()).serializeToString(xmlDoc);
            doc.zip.file(name, newXml);
            theContent = doc.zip.generate({ base64: true, compression: "deflate" });
            return theContent;
        }

        load();
        function load() {
            JsDownload.create('jsdownload', {
                filename: function () {
                    return document.getElementById('filename').value;
                },
                data: function () {
                    return generateDocument();
                },
                filename: function () {
                    return "generatedDoc.docx";
                },
                dataType: "base64",
                onComplete: function () { alert('Saved'); },
                onCancel: function () { alert('Canceled'); },
                onError: function () { alert('Empty file, not saved'); },
                swf: 'media/JsDownload.swf',
                downloadImage: 'images/download.png',
                width: 100,
                height: 30,
                transparent: true,
                append: false
            });
        }

        var theContent = null;
        var theFileName = null;

        var templateDoc = "UEsDBBQABgAIAAAAIQAJJIeCgQEAAI4FAAATAAgCW0NvbnRlbnRfVHlwZXNdLnhtbCCiBAIooAAC" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAC0" +
"lE1Pg0AQhu8m/geyVwPbejDGlPag9ahNrPG8LkPZyH5kZ/v17x1KS6qhpVq9kMAy7/vMCzOD0UqX" +
"0QI8KmtS1k96LAIjbabMLGWv08f4lkUYhMlEaQ2kbA3IRsPLi8F07QAjqjaYsiIEd8c5ygK0wMQ6" +
"MHSSW69FoFs/407IDzEDft3r3XBpTQAT4lBpsOHgAXIxL0M0XtHjmsRDiSy6r1+svFImnCuVFIFI" +
"+cJk31zirUNClZt3sFAOrwiD8VaH6uSwwbbumaLxKoNoInx4Epow+NL6jGdWzjX1kByXaeG0ea4k" +
"NPWVmvNWAiJlrsukOdFCmR3/QQ4M6xLw7ylq3RPt31QoxnkOkj52dx4a46rppLbYq+12gxAopFNM" +
"vv6CcVfouFXuRFjC+8u/UeyJd4LkNBpT8V7CCYn/MIxGuhMi0LwD31z7Z3NsZI5Z0mRMvHVI+8P/" +
"ou3dgqiqYxo5Bz4oaFZE24g1jrR7zu4Pqu2WQdbizTfbdPgJAAD//wMAUEsDBBQABgAIAAAAIQAe" +
"kRq38wAAAE4CAAALAAgCX3JlbHMvLnJlbHMgogQCKKAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAjJLbSgNBDIbvBd9hyH032woi0tneSKF3" +
"IusDhJnsAXcOzKTavr2jILpQ217m9OfLT9abg5vUO6c8Bq9hWdWg2JtgR99reG23iwdQWchbmoJn" +
"DUfOsGlub9YvPJGUoTyMMaui4rOGQSQ+ImYzsKNchci+VLqQHEkJU4+RzBv1jKu6vsf0VwOamaba" +
"WQ1pZ+9AtcdYNl/WDl03Gn4KZu/Yy4kVyAdhb9kuYipsScZyjWop9SwabDDPJZ2RYqwKNuBpotX1" +
"RP9fi46FLAmhCYnP83x1nANaXg902aJ5x687HyFZLBZ9e/tDg7MvaD4BAAD//wMAUEsDBBQABgAI" +
"AAAAIQB8O5c5IgEAALkDAAAcAAgBd29yZC9fcmVscy9kb2N1bWVudC54bWwucmVscyCiBAEooAAB" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAKyTTU+EMBCG7yb+B9K7FFZdjdmyFzXZq67x3C1T" +
"aISWdMYP/r0VswrKogcuTWaavs/TSbtav9VV9AIejbOCpXHCIrDK5cYWgj1sb08uWYQkbS4rZ0Gw" +
"FpCts+Oj1R1UksIhLE2DUUixKFhJ1FxxjqqEWmLsGrBhRztfSwqlL3gj1ZMsgC+SZMl9P4Nlg8xo" +
"kwvmN/kpi7ZtE8h/ZzutjYJrp55rsDSC4AhE4WYYMqUvgATbd+Lgyfi4wuKAQm2Ud+g0xcrV/JP+" +
"Qb0YXowjtRXgo6HyRmtQ1Mf/3JrySA94jIz5H6PoyL1BdPUUfjknnsILgW96V/JuTacczud00M7S" +
"Vu6qnsdXa0ribE6JV9jd/3qVveZehA8+XPYOAAD//wMAUEsDBBQABgAIAAAAIQBIfKdfYwIAALoG" +
"AAARAAAAd29yZC9kb2N1bWVudC54bWykVclu2zAQvRfoPwi825KXLBAiB03spjkUMOL0XNAUJRHm" +
"BpK26n59h9Ripw4CJzmJ5My8eW+GHN3c/hE82lFjmZIZGg0TFFFJVM5kmaFfz98H1yiyDssccyVp" +
"hvbUotvZ1y83dZorshVUugggpE1rTTJUOafTOLakogLboWDEKKsKNyRKxKooGKFxrUwej5NRElba" +
"KEKthXz3WO6wRS2cOEVTmkrIVSgjsLNDZcpYYLPZ6gGga+zYmnHm9oCdXHYwKkNbI9OW0KAn5EPS" +
"hlD76SLMiYpX8jaR87YCIWNsKAcOStqK6YOMj6KBxKqjtHtLxE7wzq/Wo+lJvl7yOT2YG1xDKw6A" +
"J3CvFCNvggRv6uD7e+jq/4ij5C0xbUc8RM/hHAovc3ZMBGayh/lYaY6LCy/iM/f7wait7ulo9jm0" +
"R7npsfzDfAez5DK8vGNp9l0AJ093VWFNUSRI+lhKZfCaA6N6NI38jUQzGBZrle/9V0d1CsMmf8pQ" +
"kkwWV4vpHHVHc1rgLXfe8u1ucn9xFSL10oTAldtzCq47zDP0zBynKJ7dxADZOAQvN3v2Ry4Y4MSb" +
"35+2JbQ8h8kPiv2wHL1K5vEFGV8FtfEja+WwcZCF5ZDC65dYQMV+P6g7TDYe6uC7kHnv2Qr2ZkuJ" +
"W5qW6XE1g9xy9RdMNUz08XgaMlSwvriGdQDX5U/sg53ScD5tXAwrK6h+t10r55Q47DktjqwV6KYw" +
"K6/GAb5Qyh1ty60L2zYdUdxCNqsxAZk+JLCAP8iDYV4eZ5IumSPAcnIZrNC5RmJoYnN94Kz76cz+" +
"AQAA//8DAFBLAwQUAAYACAAAACEAMN1DKagGAACkGwAAFQAAAHdvcmQvdGhlbWUvdGhlbWUxLnht" +
"bOxZT2/bNhS/D9h3IHRvYyd2Ggd1itixmy1NG8Ruhx5piZbYUKJA0kl9G9rjgAHDumGHFdhth2Fb" +
"gRbYpfs02TpsHdCvsEdSksVYXpI22IqtPiQS+eP7/x4fqavX7scMHRIhKU/aXv1yzUMk8XlAk7Dt" +
"3R72L615SCqcBJjxhLS9KZHetY3337uK11VEYoJgfSLXcduLlErXl5akD8NYXuYpSWBuzEWMFbyK" +
"cCkQ+AjoxmxpuVZbXYoxTTyU4BjI3hqPqU/QUJP0NnLiPQaviZJ6wGdioEkTZ4XBBgd1jZBT2WUC" +
"HWLW9oBPwI+G5L7yEMNSwUTbq5mft7RxdQmvZ4uYWrC2tK5vftm6bEFwsGx4inBUMK33G60rWwV9" +
"A2BqHtfr9bq9ekHPALDvg6ZWljLNRn+t3slplkD2cZ52t9asNVx8if7KnMytTqfTbGWyWKIGZB8b" +
"c/i12mpjc9nBG5DFN+fwjc5mt7vq4A3I4lfn8P0rrdWGizegiNHkYA6tHdrvZ9QLyJiz7Ur4GsDX" +
"ahl8hoJoKKJLsxjzRC2KtRjf46IPAA1kWNEEqWlKxtiHKO7ieCQo1gzwOsGlGTvky7khzQtJX9BU" +
"tb0PUwwZMaP36vn3r54/RccPnh0/+On44cPjBz9aQs6qbZyE5VUvv/3sz8cfoz+efvPy0RfVeFnG" +
"//rDJ7/8/Hk1ENJnJs6LL5/89uzJi68+/f27RxXwTYFHZfiQxkSim+QI7fMYFDNWcSUnI3G+FcMI" +
"0/KKzSSUOMGaSwX9nooc9M0pZpl3HDk6xLXgHQHlowp4fXLPEXgQiYmiFZx3otgB7nLOOlxUWmFH" +
"8yqZeThJwmrmYlLG7WN8WMW7ixPHv71JCnUzD0tH8W5EHDH3GE4UDklCFNJz/ICQCu3uUurYdZf6" +
"gks+VuguRR1MK00ypCMnmmaLtmkMfplW6Qz+dmyzewd1OKvSeoscukjICswqhB8S5pjxOp4oHFeR" +
"HOKYlQ1+A6uoSsjBVPhlXE8q8HRIGEe9gEhZteaWAH1LTt/BULEq3b7LprGLFIoeVNG8gTkvI7f4" +
"QTfCcVqFHdAkKmM/kAcQohjtcVUF3+Vuhuh38ANOFrr7DiWOu0+vBrdp6Ig0CxA9MxEVvrxOuBO/" +
"gykbY2JKDRR1p1bHNPm7ws0oVG7L4eIKN5TKF18/rpD7bS3Zm7B7VeXM9olCvQh3sjx3uQjo21+d" +
"t/Ak2SOQEPNb1Lvi/K44e//54rwony++JM+qMBRo3YvYRtu03fHCrntMGRuoKSM3pGm8Jew9QR8G" +
"9Tpz4iTFKSyN4FFnMjBwcKHAZg0SXH1EVTSIcApNe93TREKZkQ4lSrmEw6IZrqSt8dD4K3vUbOpD" +
"iK0cEqtdHtjhFT2cnzUKMkaq0Bxoc0YrmsBZma1cyYiCbq/DrK6FOjO3uhHNFEWHW6GyNrE5lIPJ" +
"C9VgsLAmNDUIWiGw8iqc+TVrOOxgRgJtd+uj3C3GCxfpIhnhgGQ+0nrP+6hunJTHypwiWg8bDPrg" +
"eIrVStxamuwbcDuLk8rsGgvY5d57Ey/lETzzElA7mY4sKScnS9BR22s1l5se8nHa9sZwTobHOAWv" +
"S91HYhbCZZOvhA37U5PZZPnMm61cMTcJ6nD1Ye0+p7BTB1Ih1RaWkQ0NM5WFAEs0Jyv/chPMelEK" +
"VFSjs0mxsgbB8K9JAXZ0XUvGY+KrsrNLI9p29jUrpXyiiBhEwREasYnYx+B+HaqgT0AlXHeYiqBf" +
"4G5OW9tMucU5S7ryjZjB2XHM0ghn5VanaJ7JFm4KUiGDeSuJB7pVym6UO78qJuUvSJVyGP/PVNH7" +
"Cdw+rATaAz5cDQuMdKa0PS5UxKEKpRH1+wIaB1M7IFrgfhemIajggtr8F+RQ/7c5Z2mYtIZDpNqn" +
"IRIU9iMVCUL2oCyZ6DuFWD3buyxJlhEyEVUSV6ZW7BE5JGyoa+Cq3ts9FEGom2qSlQGDOxl/7nuW" +
"QaNQNznlfHMqWbH32hz4pzsfm8yglFuHTUOT278QsWgPZruqXW+W53tvWRE9MWuzGnlWALPSVtDK" +
"0v41RTjnVmsr1pzGy81cOPDivMYwWDREKdwhIf0H9j8qfGa/dugNdcj3obYi+HihiUHYQFRfso0H" +
"0gXSDo6gcbKDNpg0KWvarHXSVss36wvudAu+J4ytJTuLv89p7KI5c9k5uXiRxs4s7Njaji00NXj2" +
"ZIrC0Dg/yBjHmM9k5S9ZfHQPHL0F3wwmTEkTTPCdSmDooQcmDyD5LUezdOMvAAAA//8DAFBLAwQU" +
"AAYACAAAACEAvvrJ2poDAAAYCQAAEQAAAHdvcmQvc2V0dGluZ3MueG1stFZbb9s2FH4fsP9g6HmO" +
"JF9bIU6RxPHWIl6HKf0BlHRsE+ENJGXF/fU7JMWoWdygWLEnkefynfuhLj88cTY6gjZUilWSX2TJ" +
"CEQtGyr2q+TLw2b8LhkZS0RDmBSwSk5gkg9Xv/5y2RUGrEUxM0IIYQper5KDtapIU1MfgBNzIRUI" +
"ZO6k5sTiVe9TTvRjq8a15IpYWlFG7SmdZNki6WHkKmm1KHqIMae1lkburFMp5G5Ha+g/UUP/iN2g" +
"uZZ1y0FYbzHVwNAHKcyBKhPR+H9FwxAPEeT4VhBHzqJcl2dvSfbhdlI3zxo/4p5TUFrWYAwWiLMQ" +
"LidUPMPks1dAz6m+wFSnwXbqoFA9z/xp8NywV/pnqh2qeE8rTXQoMzaA84LXxce9kJpUDJuqy2fJ" +
"FXbUVyn5qCsU6BqLtEreZ0nq6BiL3JWWWECuUcCYb8+aAUGsrthrwrGxVkmgeJ0GdqRl9oFUpZUK" +
"hY4EXV5Oesj6QDSpLehSkRrRbqWwWrIo18g/pb3FJtWYw+BEaFnnTjiVof1RQxCOQQRq39Jb2YDz" +
"rNX0VZ6+m2en4L3EdPgYzhuSOK6aNoChMSjticEGnS/pV7gWzafWWIpD4hv7Jzx4ywEQzvJnHO6H" +
"k4INENtimv4nY74SG0bVlmot9UfRYGv8rLE0FtGVE3dfY+LhbyltLEOWLefLzd11yIUTGziTxWIy" +
"XZ7jTO+Wd7P1Oc5inb3Pb85xvm/n3SxbzxbndK5vprfzsx6sl/Pr/M7pYJx9dLxw++kvfXUZTq5l" +
"Rjy02y3hlaZktHUbDLV4UenHGyoivwLc4PAtp2yryByPA8NwwtgGZyoy/KDxoqFGrWHnYdmW6P2A" +
"20vos1Sc30/PWG4dgP5dy1YFa50mKrRCNJfPZj0eFfae8kg3bVVGLYFb6BtWK5rPR+0A0yE9XWHx" +
"8fIjdU/EPlYcxPhL6USxc5gu3QMHW6IUrg4Uqfb5KmF0f7C5GwOLtwYfOn+p9pOeN/E8vDmev5Da" +
"RYbS/cEJhCNK9YeBNo206UDDNR7kZgNtHmnzgbaINHxou+KAc6txiT7icopHR99JxmQHzR+RuEpe" +
"kUISzIEowLq6HYvDIwtP6JeuGR0LeMIFDg21+P+gaMPJE/5eZBPfyr00IyfZ2heyDskJqxfUUUMs" +
"QXVfqhfKvsX/5UtXNFBTbMfyxKthpV8Exxk1tgSF299KjSH7hfubRx5+aa7+AQAA//8DAFBLAwQU" +
"AAYACAAAACEAF6AWTgIBAACsAQAAFAAAAHdvcmQvd2ViU2V0dGluZ3MueG1sjNDBSgMxEAbgu+A7" +
"LLm32ZUisnS3IFLxIoL6AGl2dhvMZMJMaqxPb9qqIF56yySZj5l/ufpAX70Di6PQqWZeqwqCpcGF" +
"qVOvL+vZjaokmTAYTwE6tQdRq/7yYpnbDJtnSKn8lKooQVq0ndqmFFutxW4BjcwpQiiPIzGaVEqe" +
"NBp+28WZJYwmuY3zLu31VV1fq2+Gz1FoHJ2FO7I7hJCO/ZrBF5GCbF2UHy2fo2XiITJZECn7oD95" +
"aFz4ZZrFPwidZRIa07wso08T6QNV2pv6eEKvKrTtwxSIzcaXBHOzUH2Jj2Jy6D5hTXzLlAVYH66N" +
"95SfHu9Lof9k3H8BAAD//wMAUEsDBBQABgAIAAAAIQC5to/JcQkAADJGAAAaAAAAd29yZC9zdHls" +
"ZXNXaXRoRWZmZWN0cy54bWzcnNty2zYQhu8703fg8N7RyZYcT5VMbMeJZ5w0jezpNURBFmuSYHnw" +
"oU/fxQKEKFIUFyYz6fQqFkTsj8UuvkUcbn57/xwGziNPUl9Ec3f0Zug6PPLEyo/u5+7d7dXRqeuk" +
"GYtWLBARn7svPHXfv/v1l9+eztLsJeCpAwai9Owp9ubuJsvis8Eg9TY8ZOmb0PcSkYp19sYT4UCs" +
"177HB08iWQ3Gw9EQf4oT4fE0BbULFj2y1NXmwro1EfMItNYiCVmWvhHJ/SBkyUMeH4H1mGX+0g/8" +
"7AVsD6eFGTF38yQ60ws6MguSU87UgvQfxYyk5sUeXTXzUnh5yKMMFQcJD2ANIko3frx147XWwMVN" +
"saTHQ048hkHx3FM8Oq7pGZcpMbhM2BOEYmuwZm7PZqzUpDBQ+yDju41q1eJoeMgZHRFpwqyBsoRd" +
"zWIlIfMjY+Z1W1PeXDgPXfL7UyLy2Cwn9rtZu44ejC15LC1WNpziySu7lloZqB3dxYbF3HVC7+z6" +
"PhIJWwawoqfRsSMz0n0HqFgJ75KvWR5kqfyYfEv0R/0J/7gSUZY6T2cs9Xz/FhACVkIfDH7+EKW+" +
"C99wlmYfUp/t/XIjn9r7jZdmJWvn/sp3B1Ix/QdsPrJg7o7HxciFXMHOWMCi+2KMR0d3i/JK5q4Z" +
"WoLducuSo8UHaWyAbhZ/ltyNd5yHT7iUmHlw8kCHrTMOEAKKSZ3Al9Edz4Bo6sP3XG4uyzOhRdAA" +
"iJXNwsfKjgObgFQLRWz4lq9vhPfAV4sMvpi7qAWDd9ffEl8kgNG5+/at1ITBBQ/9z/5qxWWB0GN3" +
"0cZf8T83PLpL+Wo7/scV4llb9EQeZbD86QyzIEhXH589HktMgumIyQh/lROAYRCOkg4uKPe3q1ED" +
"FVUc/LuQHKkY7lXZcCZLmoPrPyiEXuedhcbSo7IDaNdqrZPuJo67mzjpbgKTt9tezLqvAi4yXSOi" +
"cqOUlfSgZsJTyVfeh8nbAykrZ9SyqHVGLWlaZ9RypHVGLSVaZ9QyoHVGLeCtM2rxbZ1RC+fBGR5D" +
"cFWzaIK7QTrYt34WQJ1sId2oI+p0qXG+sYTdJyzeOLKwVpd9CJaLfJnRloo4fT0sF1ki5HWzZUeg" +
"Osuj+2omfwzjDUt9uJW3CXXc+lt59XE+JT5cX1ukTlTy1XzCi8neEvYtYB7fiGDFE+eWP6uIWsz/" +
"KpyFumW0Lq5jWG/8+03mwK1QltxWsWnDpjfvhLJ/46e4Bwer+bTBlTbjpBhOG/Ky2fgXvvLzsNga" +
"wm1kqnhuEeaKBC7x8BYdyxDVT1erFzIAFBdUubB3Ae0T1q+Ki719GWPK+lUpeqV9wvpV4XqlfcyP" +
"w/G1Js0l/FrFIR2vmfXZvRCBSNZ5UJyBVjzMrE+wkaC5YH2IjX0SJGbWJ3gHn84Hz4O/uVHy1DoW" +
"W45aqFiHQ6ngYaP7Yh2UCvZGFh5ZB6iiNbbQ6sZaCyFr6H7nj778JbBtMUBKm7tm63GeNOwAlCDS" +
"HfqPXGTtd+hxA/OoKtcR/Lok5Q5NbdJw8qhqOp9UvbOIcbfCZyHUrQJaCHUrhRZCDfnRfOcxNZEu" +
"0r04WmhZY9lUMUw7Mpln1mQ2QnYloKe6Sbh/NZze5lyo102CinWA6nWToGIdnUotM3WToNVb3SRo" +
"NVSN5hiVmWrjlHXdLAuZmwDBo37gTRDqB94EoX7gTRDqDu92kf7gTdCyZoNhahneBCF8xOav+kao" +
"DG+CkDUbFO3074yKuodWDv/ltgd4E1SsA1SHN0HFOjpN8CZo4SM2mVDRMqgjaPUDb4JQP/AmCPUD" +
"b4JQP/AmCPUDb4JQd3i3i/QHb4KWNRsMU8vwJghZ48EIleFNEMJHbNiwF9546n84vAkq1gGqw5ug" +
"Yh2dClDNJZWgZR2gipaBN0ELH7FJBq2FyW3jVD/wJnjUD7wJQv3AmyDUD7wJQt3h3S7SH7wJWtZs" +
"MEwtw5sgZI0HI1SGN0HImg174Y2H8YfDm6BiHaA6vAkq1tGpANVwjqBlHaCKloE3QQvzpTO8CUL4" +
"yGuFbDzqB94Ej/qBN0GoH3gThLrDu12kP3gTtKzZYJhahjdByBoPRqgMb4KQNRv2whvPyA+HN0HF" +
"OkB1eBNUrKNTAaqBN0HLOkAVLYM6glY/8CYIYWJ2hjdBCB95hRCeIpsw9QNvgkf9wJsg1B3e7SL9" +
"wZugZc0Gw9QyvAlC1ngwQmV4E4Ss2SDfs4X3Rcmvp44akoD6nkHxVgNZcNwQJKqgdvA7X/MEugp5" +
"+9shHQULDy0UG9KD6uK5EA8O7cXuSUOCkKX8ZeALfKX7Bd/SKTUiTGYHOgluf79wPqsGmNo8TKnd" +
"N2+ge6jcLoTtSbJxCNaZvcTQshMXb5ZLa9AgJPu6dAsQ9oReQ0OQbuuRk2WfDzyITVV6GP/dVqvC" +
"z6CIE1ukjHHtzAi7isrmt20+qLBk0Jz0u+w1qolH8Ab1vnFouHooxguZiw1L1PZumzeKZ3QHx9YX" +
"aPtK4b1SLTkcnh4PL4+narpu9nrgPP4K+rhG+eEGurxS/JSaPrAlh05X2OzjU/wnLt0WNlSGRJ7J" +
"zrCbx8AIyS9UG5jcReiwwz/29tSxvw701MkvP+o+Oxnfnba6nZnbtjo5vG2rW6q9v1AeefKFz2KV" +
"k+nJ1Vs849iRh6SFbjZ8xXE7LP8VEDw/v1LOltr0TouRUpsejoHn6HJzJnkQROZBb92BpNWtE+Zt" +
"NmycqKZwQ38FOl3PD91nsb2Nq+d23vZVkWs4AZnsKTiwZuw5OHjaHHxE7Vx9gdDmh0tqWyEc/mWg" +
"sgp+uI5kij/pPj+FhdUzU6bg+wseBF8Y5mAm4uZHA76WxxAMjYZ4l6qYWoosE2Hz/ARbDRoNQDqU" +
"F6M+Siea8yTKwyVPdONCI9zkHaRGH+iwwPGGVKDudPPadsBraKiqTzVN1SgupSMG0dIhBkLHEupY" +
"QTA+X2F6mAgjouX/BKB7pP6Zu5gREomSg/IMIEzg56vT0fmlHNiHEVgLbGFhf0tUjdDJTmftMdJV" +
"wnS3s1ZqwUugz1nOAt02o+1qsv5EwO4gdTQDqNb2Qq4cbza4QVWgmiKDe36iovfAE1Mpxwa0sMfq" +
"oT0d0ic4Bnttg14vT+FEL+SFonpn2Cba3mR2tjlYyei93MaULJfz0omoY7DI4ebi/TNL6v814js3" +
"rGrQ9ZfOqGvgCxWV5/XY6wr43wz9EvN4+ZNvU0VNSt/9CwAA//8DAFBLAwQUAAYACAAAACEAcb9+" +
"sUoBAACBAgAAEQAIAWRvY1Byb3BzL2NvcmUueG1sIKIEASigAAEAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAnJLLboMwFET3lfoPyHuwIVUfFhCpj6waqVJTperOsm+IVWws2w3J39dAQonaVZf2" +
"zD2euZDP96qOdmCdbHSB0oSgCDRvhNRVgd5Wi/gWRc4zLVjdaCjQARyal5cXOTeUNxZebGPAegku" +
"CiTtKDcF2npvKMaOb0ExlwSHDuKmsYr5cLQVNox/sgpwRsg1VuCZYJ7hDhibkYiOSMFHpPmydQ8Q" +
"HEMNCrR3OE1S/OP1YJX7c6BXJk4l/cGETse4U7bggzi6906OxrZtk3bWxwj5U/y+fH7tq8ZSd7vi" +
"gMpccMotMN/Y8slKHq230kOOJ9fdCmvm/DJseyNB3B/OnL/VbsDCTnbfqsxyPD2G9/p6w6MgohCY" +
"DvVOynr28LhaoDIjaRaTm3hGVukVJXeUkI8u2Nl8V2C4UMd4/yaeAGWf+PynKb8BAAD//wMAUEsD" +
"BBQABgAIAAAAIQAbY0Oc7wgAAEFDAAAPAAAAd29yZC9zdHlsZXMueG1s3JttU9s4EMff38x9B4/f" +
"0zwBoUzTmwLlygxtaQNzrxVHIT5sK2c7PPTT32plK44dx7vYnd7cK4hs7V/Srn6rgPbdH89h4DzK" +
"OPFVNHEHb/quIyNPzf3ofuLe3V4enLhOkopoLgIVyYn7IhP3j/e///bu6TRJXwKZOGAgSk5Db+Iu" +
"03R12usl3lKGInmjVjKChwsVhyKFj/F9LxTxw3p14KlwJVJ/5gd++tIb9vvHbmYmplhRi4XvyQvl" +
"rUMZpdi/F8sALKooWfqrJLf2RLH2pOL5KlaeTBKYdBgYe6HwI2tmcFgxFPperBK1SN/AZHpmRD1t" +
"CroP+vhbGLhO6J1e3UcqFrMAFu9pcOi+h5WbK+9CLsQ6SBP9Mb6Js4/ZJ/xxqaI0cZ5OReL5/i0s" +
"KRgIfbD16UOU+C48kSJJPyS+2Plwqd/a+cRL0oK1M3/uuz2tmPwAm48imLjDYd5yrkew1RaI6D5v" +
"k9HB3bQ4kolrm2Zgd+KK+GD6QRvr4TTzn4XprrYmD59wKCvhgTNARyxSCUEBMaJ1Al/H4HAM8WI+" +
"fF/rdRXrVGUiaADEimbhY2nFIVYgcqYmgOGpXFwr70HOpyk8mLioBY13Vzexr2II0on79q3WhMap" +
"DP1P/nwu9X7J2u6ipT+Xfy1ldJfI+ab92yUGf2bRU+soheEfjzEKgmT+8dmTKx22YDoS2sNfdAcI" +
"HHBHQQcHtPY3ozENJVVs/CeXHBgf7lRZSqF3uIPj3yuEs163FhrqGRUngHZZYx21N3HY3sRRexMY" +
"vO3WYtx+FMD1th4xsVGISrpTU+WZ4Cuuw+jtnpDVPSpR1NijEjSNPSox0tijEhKNPSoR0Nij4vDG" +
"HhX/NvaouHNvD08guMpRNMLVIG3sWz8NpO6/F0CDlqjLUo1zI2JxH4vV0tGJtTzsfbCcrmcpbaiI" +
"09fDcprGKrpvXBHIznrrvprJH8PVUiQ+nJIaln7Yculv9anH+TP2541SRyb4KnPCg8nOFHYTCE8u" +
"VTCXsXMrn41HGf2/KGdqThmNg2vp1mv/fpk60yWm3Eax45pFr18JY//aT3AN9m6m45qpNBkn+fC4" +
"Ji7rjX+Wc38d5ktDOI0cG54z3FySwCHuX6JD7aLq7mqchXYAZQomXfCngPYJ4zfJhW9f+5gyfpOK" +
"XmmfMH6TuF5pH+Njv3/ZpLmAL60OaXuN2Xv3XAUqXqyDfA804mHM3sFWgjYF9ia29kmQGLN38BY+" +
"nQ+eB9/cKHHK9sWGowwVtjuMCm42+lzYTilhb8CYEdtBJa0hQ6sdaxlCbOh+l4++/psYNxkgpe1Z" +
"s3E7j2pWAFIQ6Qz9ba3S5jP0sIZ5VJWrCP5ckkiHpjaq2XlUtSyeTL5j+Lhd4mMItcuADKF2qZAh" +
"VBMf9WcemxPpIu2TI0OLjWWbxTDsyGQes8lshXgpoKO8STh/1eze+lio5k2CCttB1bxJUGF7p5TL" +
"bN4kaHWWNwlaNVmj3kdFpnImxc6bRSF7EiDMqBt4E4S6gTdBqBt4E4Taw7tZpDt4E7TYbLBMLcKb" +
"IISvcL7qW6EivAlCbDYY2mV/M8rzHlrZ/+W2A3gTVNgOqsKboML2Th28CVr4CicSSloWdQStbuBN" +
"EOoG3gShbuBNEOoG3gShbuBNEGoP72aR7uBN0GKzwTK1CG+CEBsPVqgIb4IQvsJhw054467/6fAm" +
"qLAdVIU3QYXtnRJQ7SGVoMV2UEnLwpugha9wgiHTwuDmTKobeBNm1A28CULdwJsg1A28CULt4d0s" +
"0h28CVpsNlimFuFNEGLjwQoV4U0QYrNhJ7xxM/50eBNU2A6qwpugwvZOCaiWcwQttoNKWhbeBC2M" +
"l9bwJgjhK68V4syoG3gTZtQNvAlC3cCbINQe3s0i3cGboMVmg2VqEd4EITYerFAR3gQhNht2whv3" +
"yE+HN0GF7aAqvAkqbO+UgGrhTdBiO6ikZVFH0OoG3gQhDMzW8CYI4SuvEMJdxHFTN/AmzKgbeBOE" +
"2sO7WaQ7eBO02GywTC3CmyDExoMVKsKbIMRmg75nC/dFyddTBzVBQL1nkN9qIAsOa5xEFcwm+F0u" +
"ZAxFVrL5dkhLwXyGDMWa8KBO8UypB4d2sXtUEyBkKX8W+AqvdL/gLZ1CIcJovKeS4PbrufPJFMBU" +
"+mFIbd+8geqhYrkQlifpwiEYZ/qygpKdVX6zXFuDAiFd15WVAGGJ3BUUBGVlPbqzrvOBF7GoKmvG" +
"/9tmqvA7KGLHBilrPJvMAKuKiuY3ZT6oMBNQnPRV1xpVxCO4Qb2rHQquHvL2XOZ8KWKzvJvijfyd" +
"rIJjMxco+0rgXmkm2e+fHPYvDo9N96zY60HK1RfQxzHqD9dQ5ZXgp8TWgc0k1BHCYh+e4L+4srKw" +
"vjGk1qmuDLt+DKyQfmDKwPQqQoUd/thZUyf+3lNTpx9+zOrstH+3yuq2em7K6nTzpqxuZtb+3MzI" +
"0xc+81GOjo8u3+Iex4o8JC1Us+EVx02z/i8gzPzs0ky2UKZ3krcUyvSwDWaOU66PJA+cKDyordsT" +
"tFnphL3NhoUT5RCuqa/ASVfjI6uz2JzGzXtbt32N52p2QKprCvaMGWsO9u42B18xK1cdIJT54ZCa" +
"RgibfxaYqIJfriId4lBuisFpsDB/FsYUPD+XQfBZYAymalX/aiAXehuCoUEfz1IlUzOVpiqs7x9j" +
"qUGtAQiH4mDMRz2J+jiJ1uFMxlAruGfNvyh9BqnQByossL0mFKgrXT+2LfBaGprsUw5T04pDaYlB" +
"tLSPgVCxhDosCK7O5hge1sOIaF2RnNVI/Zi4GBEaiZqD2h8IE/j98mRwdqEbdmEExgJLmNvfEDVD" +
"6GirsvYQA1jDdLuyVmvBJdDndC2CrGwms5uR9RcCdgupgzFAtbIWeuR4ssEFKgPVJhlc8yPjvQcZ" +
"20w5tKCFNTYv7aiQPsI2WGsOer11Ajt6qg8U5TPDJtB2BrOzicFSRO/kNoZkMZ0XdkQVg3kM1yfv" +
"X5lS/68e3zphlZ2ePXQGbR2fq5g4r/o+y4D/TdfPMI5nv/g0leek5P2/AAAA//8DAFBLAwQUAAYA" +
"CAAAACEASX2gncMBAACiBAAAEgAAAHdvcmQvZm9udFRhYmxlLnhtbKSS3U7jMBCF71fad4h8T+2k" +
"gYWIFKHuVuJmL1bwAK7rNBb+iTxus317JnYaLipEC44UJWc8RzOfzv3Df6OzvfSgnK1JPmMkk1a4" +
"jbLbmrw8r65uSQaB2w3XzsqaHCSQh8XPH/d91TgbIMN+C5URNWlD6CpKQbTScJi5TlosNs4bHvDX" +
"b6nh/nXXXQlnOh7UWmkVDrRg7IaMNv4cF9c0SsjfTuyMtCH2Uy81OjoLrerg6Naf49Y7v+m8ExIA" +
"dzY6+Rmu7GSTlydGRgnvwDVhhsvQNBEdrLA9Z/HLaJIZUT1trfN8rZFdn5dkMYLL+spyg+KSa7X2" +
"KhY6bh3IHGt7rmvCCrZi1/genpLNhzehg4NouQcZpossyQ03Sh+OKvQKIBU6FUR71Pfcq2GgVAK1" +
"xcIO1qwmfxieYrUiSclrUqLwuJyUAodKJx/vzCcFk4ODRZ94Jb+LPqigz9gV56QpOicknpWRkP2V" +
"ffbPGW4/IFKwGyRxjTwGMvOLiPjoGwleQKR4nPbHTZa4yq/bcj7u/07k7nMiyed8IktuMBr8AxID" +
"gURiIHJZNr5G4jQbrJzYvJOIScBEfScbY0hg8QYAAP//AwBQSwMEFAAGAAgAAAAhAEFt737fAQAA" +
"4wMAABAACAFkb2NQcm9wcy9hcHAueG1sIKIEASigAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" +
"AAAAnFPBbtswDL0P2D8YvjdOumIYAlnFkG7oYVsDxG3OrEzHwmRJkFij2dePshvX6XaqT+QjTT09" +
"Ponr585kPYaonS3z1WKZZ2iVq7U9lPl99f3iS55FAluDcRbL/Igxv5YfP4htcB4DaYwZj7CxzFsi" +
"vy6KqFrsIC64bLnSuNABcRoOhWsarfDGqacOLRWXy+XnAp8JbY31hZ8G5uPEdU/vHVo7lfjFh+ro" +
"mbAUFXbeAKH8leiYRe2oE8WEisoRmEp3KJcMT4nYwgGjXIliDMTehTqmnjEQmxYCKGL95CdRzDLx" +
"1XujFRDrKn9qFVx0DWV3gwJZ+lsU8xbBquxQPQVNxzR/noof2o4sxoBZBTgE8O0LtSkTOwUGN3x1" +
"2YCJKIpXQNwipLVuQTNb0dO6R0UuZFH/4cVe5tkjREyClXkPQYMlFi61jckQGx8pyEqT4dlcG/Mh" +
"nLfNY32V9ONeDs4bEzhy4MI5u+GEeNfwTek/ZFdzsgOHkeqMziyczngzdeM6D/YovwWt9q0mXCjH" +
"rjjBSfbf8d5X7iY550XQc3BmgL2mdudB8abOrDDDxY7tgjXv9jTtFRC3rHww6Ui2kT1gfer5t5DM" +
"9TC+Wbm6Wiz5G9x0wtiu02OSfwEAAP//AwBQSwECLQAUAAYACAAAACEACSSHgoEBAACOBQAAEwAA" +
"AAAAAAAAAAAAAAAAAAAAW0NvbnRlbnRfVHlwZXNdLnhtbFBLAQItABQABgAIAAAAIQAekRq38wAA" +
"AE4CAAALAAAAAAAAAAAAAAAAALoDAABfcmVscy8ucmVsc1BLAQItABQABgAIAAAAIQB8O5c5IgEA" +
"ALkDAAAcAAAAAAAAAAAAAAAAAN4GAAB3b3JkL19yZWxzL2RvY3VtZW50LnhtbC5yZWxzUEsBAi0A" +
"FAAGAAgAAAAhAEh8p19jAgAAugYAABEAAAAAAAAAAAAAAAAAQgkAAHdvcmQvZG9jdW1lbnQueG1s" +
"UEsBAi0AFAAGAAgAAAAhADDdQymoBgAApBsAABUAAAAAAAAAAAAAAAAA1AsAAHdvcmQvdGhlbWUv" +
"dGhlbWUxLnhtbFBLAQItABQABgAIAAAAIQC++snamgMAABgJAAARAAAAAAAAAAAAAAAAAK8SAAB3" +
"b3JkL3NldHRpbmdzLnhtbFBLAQItABQABgAIAAAAIQAXoBZOAgEAAKwBAAAUAAAAAAAAAAAAAAAA" +
"AHgWAAB3b3JkL3dlYlNldHRpbmdzLnhtbFBLAQItABQABgAIAAAAIQC5to/JcQkAADJGAAAaAAAA" +
"AAAAAAAAAAAAAKwXAAB3b3JkL3N0eWxlc1dpdGhFZmZlY3RzLnhtbFBLAQItABQABgAIAAAAIQBx" +
"v36xSgEAAIECAAARAAAAAAAAAAAAAAAAAFUhAABkb2NQcm9wcy9jb3JlLnhtbFBLAQItABQABgAI" +
"AAAAIQAbY0Oc7wgAAEFDAAAPAAAAAAAAAAAAAAAAANYjAAB3b3JkL3N0eWxlcy54bWxQSwECLQAU" +
"AAYACAAAACEASX2gncMBAACiBAAAEgAAAAAAAAAAAAAAAADyLAAAd29yZC9mb250VGFibGUueG1s" +
"UEsBAi0AFAAGAAgAAAAhAEFt737fAQAA4wMAABAAAAAAAAAAAAAAAAAA5S4AAGRvY1Byb3BzL2Fw" +
"cC54bWxQSwUGAAAAAAwADAAJAwAA+jEAAAAA";
    </script>
</body>
</html>
