﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LoadModSave.aspx.cs" Inherits="JavaScriptOpenXmlPoc.LoadModSave" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function loadXMLString(txt) {
            if (window.DOMParser) {
                parser = new DOMParser();
                xmlDoc = parser.parseFromString(txt, "text/xml");
            }
            else // Internet Explorer
            {
                xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
                xmlDoc.async = false;
                xmlDoc.loadXML(txt);
            }
            return xmlDoc;
        }
    </script>
</head>
<body>
    <form action="LoadModSave.aspx">
        <p id="jsupload">
            You must have Flash 10 installed to upload a file.
        </p>
        <p>
            <input type="button" value="Modify" style="width: 100px; height: 30px; cursor:pointer; border:thin solid black;" onclick="modifyDocument()"/>
        </p>
        <p id="jsdownload">
            You must have Flash 10 installed to download a file.
        </p>
    </form>
    <script type="text/javascript" src="js/swfobject.js"></script>
    <script type="text/javascript" src="js/jsupload.js"></script>
    <script type="text/javascript" src="js/jsdownload.js"></script>
    <script type="text/javascript" src="js/jszip.js"></script>
    <script type="text/javascript" src="js/jszip-load.js"></script>
    <script type="text/javascript" src="js/jszip-inflate.js"></script>
    <script type="text/javascript" src="js/jszip-deflate.js"></script>
    <script type="text/javascript" src="js/base64.js"></script>
    <script type="text/javascript">

        var WordprocessingDocument = function (fileName, base64data) {
            this.fileName = fileName;
            this.zip = new JSZip(base64data, { base64: true, checkCRC32: false });

            this.mainPartContentType = "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml";
            this.mc_ns = "http://schemas.openxmlformats.org/markup-compatibility/2006";
            this.ct_ns = "http://schemas.openxmlformats.org/package/2006/content-types";
            this.w_ns = "http://schemas.openxmlformats.org/wordprocessingml/2006/main";
        }

        WordprocessingDocument.prototype.mainDocumentPart = function () {
            var that = this;

            var ctfile = this.zip.file("[Content_Types].xml");
            var ctXDoc = loadXMLString(ctfile.data);
            var ore = ctXDoc.getElementsByTagName("Override");
            for (var i = 0; i < ore.length; i++) {
                if (ore[i].getAttribute("ContentType") === this.mainPartContentType) {
                    var mainPartFileName = ore[i].getAttribute("PartName").replace("/\//g", "\\/");
                    if (mainPartFileName.substring(0, 1) === "/")
                        mainPartFileName = mainPartFileName.substring(1);
                    var file = this.zip.file(mainPartFileName);
                    var mp = {
                        File: file,
                        ContentType: this.mainPartContentType
                    };
                    return mp;
                }
            }
            return null;
        }

        modifyDocument = function () {
            /* load the document from the zip file */
            var doc = new WordprocessingDocument(theFileName, theContent);
            var main = doc.mainDocumentPart();
            var mpXDoc = loadXMLString(main.File.data);
            var root = mpXDoc.getElementsByTagNameNS(doc.w_ns, "document")[0];
            root.removeAttributeNS(doc.mc_ns, "Ignorable");

            /* XML DOM code to modify the document */
            var newPara = mpXDoc.createElementNS(doc.w_ns, "p");
            var newRun = mpXDoc.createElementNS(doc.w_ns, "r");
            var newtext = mpXDoc.createElementNS(doc.w_ns, "t");
            var tn = mpXDoc.createTextNode("This is a new paragraph.");
            newtext.appendChild(tn);
            newRun.appendChild(newtext);
            newPara.appendChild(newRun);
            var sectPr = mpXDoc.getElementsByTagNameNS(doc.w_ns, "sectPr")[0];
            sectPr.parentNode.insertBefore(newPara, sectPr);

            /* put the main document part back into the zip file, and then serialize the zip file to base64 */
            var name = main.File.name;
            doc.zip.remove(main.File.name);
            var newXml = (new XMLSerializer()).serializeToString(xmlDoc);
            doc.zip.file(name, newXml);
            theContent = doc.zip.generate({ base64: true, compression: "deflate" });
            alert("document has been modified");
        }

        load();
        function load() {
            JsUpload.create('jsupload', {
                alert: function (text) {
                    alert(text);
                },
                onComplete: function (fileName, theData) {
                    theFileName = fileName;
                    theContent = theData;
                },
                onCancel: function () { alert('Canceled'); },
                swf: 'media/JsUpload.swf',
                uploadImage: 'images/upload.png?ver=1',
                width: 100,
                height: 30,
                transparent: true,
                append: false,
                fileFilterDescription: "All",
                fileFilterWildcards: "*.*"
            });

            JsDownload.create('jsdownload', {
                filename: function () {
                    return document.getElementById('filename').value;
                },
                data: function () {
                    return theContent;
                },
                filename: function () {
                    return theFileName;
                },
                dataType: "base64",
                onComplete: function () { alert('Saved'); },
                onCancel: function () { alert('Canceled'); },
                onError: function () { alert('Empty file, not saved'); },
                swf: 'media/JsDownload.swf',
                downloadImage: 'images/download.png?ver=1',
                width: 100,
                height: 30,
                transparent: true,
                append: false
            });
        }

        var theContent = null;
        var theFileName = null;

    </script>

</body>
</html>
